# Remove a source

> DELETE /agents/{id}/knowledge/{kid}. HeyRik API parameters and documented request and response examples.

Source: https://www.heyrik.com/docs/api-reference/knowledge/delete-agents-id-knowledge-kid-remove-a-source

DELETE https://server.heyrik.com/api/v1/agents/{id}/knowledge/{kid}

## Path parameters

- id (required): Replace {id} in the request URL with the value for this resource.
- kid (required): Replace {kid} in the request URL with the value for this resource.

## Headers

Authorization: Bearer $HEYRIK_API_KEY (required). Keep your key on your server.

## Request example

```sh
curl -X DELETE https://server.heyrik.com/api/v1/agents/agc_9f2a1c30/knowledge/kb_71a4 \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
```
